Canalplan Bug Tracker



Anonymous Login
2017-11-19 03:11 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000300Canalplan [All Projects] Bugpublic2017-09-04 10:30
ReporterNx 
Assigned ToNick Atty 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformFirefoxOSWindowsOS Version7
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000300: Marker places appear, but only on some (one?) canal
DescriptionThis seems very similar to 0000286. When I'm looking at a place, I will sometimes see marker places. At first I thought it was random, but now it seems it may depend on which canal I'm looking at.
Steps To ReproduceSearch for Droitwich Spa Marina. On this canal I will always see marker places. Navigate along to Hanbury Junction and the Worcester & Birmingham canal, no marker places displayed.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001201

Nx (reporter)

Maybe not just one canal. I am also seeing them on the river Severn.
I do have them ticked in the exclusions part of preferences and also have these preferences saved. I've logged out and back in. I always see this same behaviour.

One thing I do note is that there is a blank row on the list of Exclusions. The first row is Marker places and the third row is Aqueduct. The second row is blank - should it be?

~0001202

Shultzy (updater)

You are correct that not all the canals on CP have markers. The reason is they haven't been put on (:-)) I'm slowly getting around to putting them on but it will take time. Please feel free to put them on yourself, and let me know if you want any advice, there is more info on the help pages.

The blank row on the list of Exclusions shouldn't be there someone probably created it without a name.

~0001203

Nx (reporter)

I've re-read what I wrote above and realised it may not be totally clear. I don't want the marker places to appear and I believe that, based on my preferences, they should not be appearing. This is why I think it sounds very like 0000286. In that case, the problem appeared to just go away. But I am still seeing the same problem.

~0001204

Shultzy (updater)

Do you have all three boxes ticked; Routes, Gazetteer, Waterway gazetteer. If you have, it's something Nick will have to look at.

~0001205

Nx (reporter)

Yes, all three boxes are checked (file attached).

However, I have now found that the markers are no longer displayed when I look at Droitwich. But on the Severn they still are. Very strange.

~0001206

Nx (reporter)

I don't know if this helps, but here are some pictures of the strange behaviour.

If I again search for Droitwich Spa I no longer see the markers (picture canalplan02). But when I navigate along the canal by selecting Lock No.6, the marker places are displayed where previously they were not (canalplan03).

Weird.

~0001207

Nick Atty (administrator)

If I do a brand-new approach to the site (using an "incognito window" - so no previous history of any sort) and search for Droitwich Spa Marina, I get marker places.

So I can definitely confirm that something is going wrong round there. Which is a start!

~0001208

Nick Atty (administrator)

Last edited: 2017-08-05 10:13

View 2 revisions

I think I've tracked it down. Firstly, it's nothing to do with you or your setup, it's a general bug.

When someone visits a place with show markers turned on it caches the results. This means that the next time someone visits a place the marker places will be shown.

You can prove this - have a tab open on a place (say lock 6) - http://canalplan.eu/place/lprc.

If you force a refresh (which re-caches things) by holding shift when you click on refresh the marker places will go away (if they were displayed).

Now open a second tab and force marker place display - http://canalplan.eu/place/lprc?showmarker=yes

Go back to the first tab and do a normal refresh and the marker places appear. Force refresh and they go away again...

I need to turn off caching, or store it under a different label, when marker places are being displayed.

~0001209

Nick Atty (administrator)

Last edited: 2017-08-05 10:12

View 2 revisions

I believe I have now fixed it by adding more granular control to the "do we calculate and store" calculation.

You may see the occasional marker places for a while as the cache will still contain them. A forced reload of the page (ctrl-refresh or ctrl-f5) will cause the cache to be regenerated and the marker places removed.

[NB - in all this discussion I'm talking about CanalPlan's internal cache of place data, which includes the places it's linked to, not a browser or ISP's cache].

Thanks very much for your detailed explanation and screenshots - these sorts of bugs can be very difficult to track down: this helped enormously.

~0001263

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2017-08-03 16:45 Nx New Issue
2017-08-03 17:14 Nx Note Added: 0001201
2017-08-03 18:05 Shultzy Note Added: 0001202
2017-08-03 18:25 Stephen Atty Assigned To => Nick Atty
2017-08-03 18:25 Stephen Atty Status new => assigned
2017-08-04 08:03 Nx Note Added: 0001203
2017-08-04 13:19 Shultzy Note Added: 0001204
2017-08-04 13:33 Nx File Added: canalplan01.png
2017-08-04 13:33 Nx Note Added: 0001205
2017-08-04 13:41 Nx File Added: canalplan02.png
2017-08-04 13:41 Nx Note Added: 0001206
2017-08-04 13:41 Nx File Added: canalplan03.png
2017-08-05 08:56 Nick Atty Note Added: 0001207
2017-08-05 09:44 Nick Atty Note Added: 0001208
2017-08-05 10:10 Nick Atty Status assigned => resolved
2017-08-05 10:10 Nick Atty Resolution open => fixed
2017-08-05 10:10 Nick Atty Note Added: 0001209
2017-08-05 10:12 Nick Atty Note Edited: 0001209 View Revisions
2017-08-05 10:13 Nick Atty Note Edited: 0001208 View Revisions
2017-09-04 10:30 Autoclose Note Added: 0001263
2017-09-04 10:30 Autoclose Status resolved => closed
+Issue History